---
search:
  tags:
    - auth
    - GET
seo:
  description: >-
    List enabled login methods and terms state. Reference for the GET
    /api/v1/auth/methods endpoint in the TimescaleDB Enterprise API.
  noindex: true
sidebar:
  label: List login methods
  badge: GET
title: List login methods
type: openapi-operation
---
List enabled login methods and terms state.

`GET /api/v1/auth/methods`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "localLogin": true,
  "localUsers": true,
  "oidc": true,
  "termsAccepted": true,
  "termsVersion": "string",
  "token": true
}
```
